<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<head>
<title>Importar Nominas</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 
$nar = fopen('archivos/'.$_REQUEST['t1'], "a");

if (!isset($_REQUEST['t1']) or !$nar){
	echo '<h2>EL ARCHIVO NO EXISTE</h2>';
	echo '<meta content="1; url=DNF000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}

@$sqa = mysqli_query($con ,"DELETE FROM dnnomina where axo_pro = $_REQUEST['t2']");

@$nar = fopen('archivos/'.$_REQUEST['t1'], "r");

while (!feof($nar)){
	$j +=1;
	$cadena = fgets($nar,255);
	$datos = explode("|",$cadena);

	$sql_bus=mysqli_query($con ,"SELECT * FROM dntrab_a WHERE no_nom='$datos[2]'");
	$row_bus=mysqli_fetch_array($sql_bus);
	if($row_bus['no_trab']==''){
		echo 'Nomina : '.$datos[2].'<br>';
	}
	$sql_a=mysqli_query($con ,"INSERT INTO dnnomina (cve_nomi, no_nomi, no_nomina, operac, no_pd, can_mov, imp_mov, cve_mae, imp_gra_isp, imp_exe_isp, imp_gra_ims, imp_exe_ims, axo_pro, mes_pro) VALUES ('$datos[0]', '$datos[1]', '".$row_bus['no_trab']."', '$datos[3]', '$datos[4]', '$datos[5]', '$datos[6]', '$datos[7]', '$datos[8]', '$datos[9]', '$datos[10]', '$datos[11]', '$datos[12]', '$datos[13]')");
	if (!$sql_a) echo mysqli_error($con).'<br>';
}
fclose ($nar);
echo '<h2>FELICIDADES SE AGREGARON '.$j.' REGISTROS CORRECTAMENTE</h2>';
echo '<meta content="2; url=DNF000_PR.php" HTTP-EQUIV="REFRESH">';
mysqli_close($con);
?>  
</body>
</html>
